const { Model } = require('flitter-orm')

class AppAuthorizationModel extends Model {
    static get schema() {
        return {
            client_id: String,
            authorize_date: { type: Date, default: () => new Date },
            api_scopes: [String],
        }
    }
}

module.exports = exports = AppAuthorizationModel
